<mat-card>
    <form [formGroup]="creationForm" #formDirective="ngForm" (submit)="createBlogpost(formDirective)">
      <div fxLayout="column" fxLayoutAlign="space-between center" > 
                <mat-form-field>
          <input matInput placeholder="title" formControlName="title" required>
        </mat-form-field>
        <mat-form-field>
          <input matInput placeholder="sub-title" formControlName="subTitle" required>
        </mat-form-field>   
        <mat-form-field>
          <textarea matInput placeholder="content" formControlName="content" required></textarea>
        </mat-form-field>
        <label for="image">Choose image</label>
        <input type="file" name="image" id="image" formControlName="image" >
        <button mat-button type="button" (click)="upload()" >Upload image</button>
        <button mat-button type="submit">create</button>
      </div>
    </form>
  </mat-card> 